const { Schema, model } = require('mongoose')

const casters = new Schema({
  username: {
    type: String,
    required: true,
  },
  name: {
    type: String,
    required: true,
  },
  name_arabic: {
    type: String,
  },
  name_jpn: {
    type: String,
  },
  twitter: {
    type: String,
    required: true,
  },
  image: {
    type: String,
  }
});

const Caster = model('Casters', casters)

module.exports = Caster
