const mongoose = require('mongoose');

const events = new mongoose.Schema({
  name: {
    type: String,
    required: true,
    unique: true,
  },
  name_arabic: {
    type: String,
  },
  name_jpn: {
    type: String,
  },
  streams: [{
    type: mongoose.Schema.Types.ObjectId,
    ref: 'Streams',
  }]
});

const Event = mongoose.model('Event', events)

module.exports = Event
